import request from '@/utils/request'
import qs from 'qs'

/**
 *  添加类别
 */
export function insert(data) {
  return request({
    url: '/Type/insert',
    method: 'post',
    data
  })
}
/**
 *  查询（分页）
 */
 export function select(data) {
  return request({
    url: '/Type/select',
    method: 'post',
    data
  })
}
/**
 *  查询（不带分页）
 */
 export function selectAll(data) {
  return request({
    url: '/Type/selectAll',
    method: 'post',
    data
  })
}
/**
 *  查询（单独查询根据typeId）
 */
 export function selectById(data) {
  return request({
    url: '/Type/selectById',
    method: 'post',
    data
  })
}
/**
 * 更新
 */
export function updata(data) {
  return request({
    url: '/Type/updata',
    method: 'post',
    data
  })
}